# class REXML::CData

### Constants

ILLEGAL
START
STOP

### Public Class Methods

new( first, whitespace=true, parent=nil ) click to toggle source

    Constructor.  CData is data between <![CDATA[ ... ]]>

Examples

    CData.new( source )
    CData.new( "Here is some CDATA" )
    CData.new( "Some unprocessed data", respect_whitespace_TF, parent_element )

Calls superclass method

    # File lib/rexml/cdata.rb, line 16
    def initialize( first, whitespace=true, parent=nil )
      super( first, whitespace, parent, false, true, ILLEGAL )
    end

### Public Instance Methods

clone() click to toggle source

Make a copy of this object

Examples

    c = CData.new( "Some text" )
    d = c.clone
    d.to_s        # -> "Some text"

    # File lib/rexml/cdata.rb, line 26
    def clone
      CData.new self
    end

to_s() click to toggle source

Returns the content of this `CData` object

Examples

    c = CData.new( "Some text" )
    c.to_s        # -> "Some text"

    # File lib/rexml/cdata.rb, line 35
    def to_s
      @string
    end

value() click to toggle source

    # File lib/rexml/cdata.rb, line 39
    def value
      @string
    end

write( output=$stdout, indent=-1, transitive=false, ie_hack=false ) click to toggle source

## DEPRECATED¶ ↑

See the rexml/formatters package

Generates `XML` output of this object

output

  Where to write the string. Defaults to $stdout

indent

  The amount to indent this node by

transitive

  Ignored

ie_hack

  Ignored

Examples

    c = CData.new( " Some text " )
    c.write( $stdout )     #->  <![CDATA[ Some text ]]>

    # File lib/rexml/cdata.rb, line 60
    def write( output=$stdout, indent=-1, transitive=false, ie_hack=false )
      Kernel.warn( "#{self.class.name}.write is deprecated", uplevel: 1)
      indent( output, indent )
      output << START
      output << @string
      output << STOP
    end